Package org.apache.sysds.runtime.io.hdf5

# Class Utils

java.lang.Object
org.apache.sysds.runtime.io.hdf5.Utils

public final class Utils extends Object

## Method Summary

Modifier and Type
Method
Description
`static int`
`bitsToInt(BitSet bits, int start, int length)`
`static ByteBuffer`
`createSubBuffer(ByteBuffer source, int length)`
`static int`
`readBytesAsUnsignedInt(ByteBuffer buffer, int length)`
`static long`
`readBytesAsUnsignedLong(ByteBuffer buffer, int length)`
`static String`
`readUntilNull(ByteBuffer buffer)`
`static void`
`seekBufferToNextMultipleOfEight(ByteBuffer bb)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### readUntilNull

public static String readUntilNull(ByteBuffer buffer)

### seekBufferToNextMultipleOfEight

public static void seekBufferToNextMultipleOfEight(ByteBuffer bb)

### readBytesAsUnsignedInt

public static int readBytesAsUnsignedInt(ByteBuffer buffer, int length)

### readBytesAsUnsignedLong

public static long readBytesAsUnsignedLong(ByteBuffer buffer, int length)

### createSubBuffer

public static ByteBuffer createSubBuffer(ByteBuffer source, int length)

### bitsToInt

public static int bitsToInt(BitSet bits, int start, int length)